VCP(1)

NAME
VCP - Kopiuje pliki w interface'sie biblioteki curses

SKŁADNIA
opcje [-vdpVmht] [-I | -i | -f | -n] [-R [-P | -H | -L]]
        [-b bajtów]
vcp [opcje] źródło przeznaczenie
vcp [opcje] źródło1 źródło2 .. przeznaczenie
vcp [opcje -m] źródło przeznaczenie1 przeznaczenie2 ..

OPIS
vcp kopiuje pliki i katalogi w interface'sie curses, gdzie wyjściem jest tylko tekst. Same opcje oraz wyjście są podobne do BSD'owskiego programu cp. Dodano kilka nowych właściwości.
Ten program dostarcza takie informacje jak:
- ile plików jest w trakcie kopiowania a ile już zostało skopiowanych
- dane zapisane i całkowity rozmiar danych
- sekundowy wykaz zapisywanych danych
- dwa paski postępu, pierwszy pokazuje aktualny status pliku, a drugi pokazuje całkowity status
  (poza wyjątkiem kiedy kopiujemy tylko jeden plik, wtedy obydwa paski pokazują to samo), i wartości procentowe
kiedy wyjście jest skierowane do konsoli:
- pasek postępu
- rozmiar skopiowanych danych oraz szybkość

Plik konfiguracyjny (vcp.conf.sample) umożliwia kilka opcji,
- kolor
- stan ekranu (wyświetlenia)
- flagi (opcje) domyślne
- czytanie wielkości bufora
vcp sprawdza pliki konfiguracyjne w następującej kolejności:
1. /etc/vcp.conf
2. ~/.vcp
opcje są przepisywane tak jak są czytane.

OPCJE

-R  Kopiuje katalogi (jeśli przeznaczeniem jest katalog) z podkatalogami. Dowiązania symboliczne są tworzone ponownie i nie będą drogą pośrednią, natomiast dowiązania twarde (stałe) są kopiowane jako oddzielne pliki. Program próbuje tworzyć specjalne pliki zamiast kopiować je.

-P  Wymaga -R. Dowiązania symboliczne nie będą zastępowane. Opcja domyślna.

-H  Wymaga -R. Zastępuje dowiązania symboliczne określone w linii poleceń. Inne dowiązania symboliczne nie będą zastępowane.

-L  Wymaga -R. Wszystkie dowiązania symboliczne będą zastępowane.

-f  Istniejące pliki zostaną nad pisane i utworzone ponownie, bez zachowania do nich praw.

-n  Nie istniejące pliki będą nad pisywane.

-i  Jeśli plik zostanie znaleziony, użytkownik zostaje zapytany czy go nad pisać czy nie. Jeśli pierwszym naci śniętym klawiszem będzie y lub Y to plik zostanie nad pisany (zamieniony). Domyślnie (klawisz Enter) nie nad pisze pliku.

-I  To samo co -i, lecz domyślnie (klawisz Enter) pliki są nad pisywane.

-v  Wyświetlone zostaną dodatkowe informacje.

-t  Tryb tekstowy, interface curses nie będzie użyty, a wyjście będzie skierowane na konsole.

-d  Opóźnione kopiowanie. Mniejsze użycie CPU i czytania/zapisu. zajmuje to więcej czasu.

-p  Próba kopiowania plików używając przy tym jak najwięcej informacji jak to możliwe: czas dostępu, flagi, tryb pliku, ID użytkownika i grupy. Jest to ograniczone jeśli nie można odczytać tych informacji (prawa dostępu). ID użytkownika i grupy są traktowane tak jak w cp.

-m  Kopiowanie z wieloma wyjściami. Kopiuje jedno źródło do wielu miejsc przeznaczenia.

-b  Ustawienie czytania wielkości bufora w bajtach. Domyślnie to 204800

-V  Wyświetla numer wersji i zakańcza pracę.

-h  Wyświetla szczegółowe możliwości użycia programu i zakańcza pracę.

PLIKI
/etc/vcp.conf - globalny
$HOME/.vcp - użytkownika

ZOBACZ TEŻ
cp(1)

BŁĘDY
Plików specjalnych, bez opcji -R, nie można kopiować tak jak w programie cp(1).

NOTY
strona domowa: http://members.iinet.net.au/~lynx/vcp

AUTORZY
Daniel Bryan <sisko@bsdmail.com>